#!/bin/bash

doreboot () {
        omgrestart
}

check_callp_tasks () {

	# check whether all callp tasks are present

	pidofcallp=$(ps ax | grep callp | grep -v grep | head -1 | sed -e 's/^ *\([0-9]*\).*/\1/')

	if test -z "$pidofcallp"; then
		echo "callp missing"
		echo "start: callp is missing. Restarting"
		logger "callp is missing. Restarting"
		doreboot
	fi

	mv /tmp/instancePrint.txt /tmp/callp.ps > /dev/null 2>&1

	kill -s USR1 $pidofcallp 2>/dev/null
	sleep 3
	Task_Timer=0
	Task_mux_jobcontrol=0
	Task_netControl=0
	Task_mux_isdn=0
	Task_mux_sip=0
#	Task_Launch=0
	done=0

	if test -s /tmp/instancePrint.txt; then
		# Auswerten
		exec 3< /tmp/instancePrint.txt
		until [ $done -eq 1 ]; do
    		read <&3 myline
    		if [ $? != 0 ]; then
  			done=1
        		continue
    		fi

    		if echo $myline | grep -q 'Task Timer'; then
  				Task_Timer=$(($Task_Timer+1))
    		fi
    		if echo $myline | grep -q 'Task mux_jobcontrol'; then
  				Task_mux_jobcontrol=$(($Task_mux_jobcontrol+1))
    		fi
    		if echo $myline | grep -q 'Task netControl'; then
  				Task_netControl=$(($Task_netControl+1))
    		fi
    		if echo $myline | grep -q 'Task mux_isdn'; then
  				Task_mux_isdn=$(($Task_mux_isdn+1))
    		fi
    		if echo $myline | grep -q 'Task mux_sip'; then
  				Task_mux_sip=$(($Task_mux_sip+1))
    		fi
#    		if echo $myline | grep -q 'Task Launch'; then
#  				Task_Launch=$(($Task_Launch+1))
#    		fi

		done

		if test $Task_Timer -eq 0; then
			echo "start: Task Timer is missing. Restarting"
			logger "Task Timer is missing. Restarting"
			doreboot
		fi
		if test $Task_mux_jobcontrol -eq 0; then
			echo "start: Task mux_jobcontrol is missing. Restarting"
			logger "Task mux_jobcontrol is missing. Restarting"
			doreboot
		fi
		if test $Task_netControl -eq 0; then
	            if test -z "$LOMCHANNELS"; then
                        LOMCHANNELS=0
                    fi
                    if  test $LOMCHANNELS -ne 0; then
			echo "start: Task netControl is missing. Restarting"
			logger "Task netControl is missing. Restarting"
			doreboot
                    fi
		fi
		if test $Task_mux_isdn -eq 0; then
			echo "start: Task mux_isdn is missing. Restarting"
			logger "Task mux_isdn is missing. Restarting"
			doreboot
		fi
		if test $Task_mux_sip -eq 0; then
			echo "start: Task mux_sip is missing. Restarting"
			logger "Task mux_sip is missing. Restarting"
			doreboot
    		fi
#		if test $Task_Launch -eq 0; then
#			echo "start: Task Launch is missing. Restarting"
#			logger "Task Launch is missing. Restarting"
#			doreboot
#		fi
	fi
}
